Bug 389961 - Evolution frequently freezes in the middle of typing a message.
Evolution frequently freezes in the middle of typing a message.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
: 250406 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-18 23:32 EST by Jason Dell
Modified: 2008-10-20 16:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 16:59:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace for frozen Evolution after I hit Send (7.99 KB, text/plain)
2008-01-10 13:08 EST, Brian Long
no flags Details
Second backtrace for frozen Evolution after I hit Send (7.23 KB, text/plain)
2008-01-10 13:09 EST, Brian Long
no flags Details
Backtrace for frozen Evolution while I was in the middle of typing (7.23 KB, text/plain)
2008-01-10 13:09 EST, Brian Long
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 537415 None None None Never

  None (edit)
Description Jason Dell 2007-11-18 23:32:46 EST
Description of problem:

Evolution frequently freezes in the middle of typing a message for a few
moments, or sometimes until it is killed.  It is not consistently reproducible.
 It seems to happen at random times, whether other applications are running or
not.  Most times waiting a few seconds will bring it back.  Sometimes it needs
to be killed.  When it is hung I notice the CPU is pegged at 100%.

Version-Release number of selected component (if applicable):
evolution-2.10.3-4.fc7


How reproducible:
Seems to happen every now and then in spurts.  Today, for example, it has
happened three times to me in 15 minutes.  Sometimes it can go all day without
happening.  Sometimes it is while typing the message.  Other times it is while
entering a recipient.

Steps to Reproduce:
1.Use Evolution as usual.
  
Actual results:
Evolution hangs and CPU is pegged at 100% for 5 seconds to indefinitely (until
killed)

Expected results:
Not to hang.

Additional info:
mail-notification-evolution-plugin-4.1-1.fc7
evolution-connector-2.10.3-1.fc7
evolution-webcal-2.10.0-1.fc7
evolution-data-server-1.10.3.1-2.fc7

I searched Google and found an Ubuntu bug that was similar
https://bugs.launchpad.net/ubuntu/+source/evolution/+bug/107748.  However, I am
not using IMAP but instead the Connector plug-in (OWA).  There two other users
in my company that are experiencing the same issue.  Of course we connect to the
same Exchange server, and also all have Dell Inspiron laptops, albeit different
models.
Comment 1 Milan Crha 2007-11-19 04:27:53 EST
I noticed some bugs about freezing while typing address of recipient into "to"
field, depending on autocompletition setup, but not when typing into text body.

Can you install debug packages for packages you listed above and for gtkhtml3
package and when it gets freeze, please attach to the process with gdb and
attach here result of "thread apply all bt" command in gdb? We will see there
what was going wrong (where it get stuck). Thanks in advance. Please write here
in which case it happened (when typing address or text body).
Comment 2 Jason Dell 2007-12-14 10:45:42 EST
Hi, just a quick update.  I have since rebuild at FC8 and now am running
Evolution 2.12.2  It seems to happen much more frequently now.

rpm -q -a | grep evol
evolution-exchange-2.12.2-1.fc8
evolution-webcal-2.12.0-1.fc8
evolution-data-server-1.12.2-1.fc8
evolution-2.12.2-2.fc8

I will install the debug packages and provide the information you requested.

Comment 3 Jason Dell 2007-12-14 11:04:35 EST
Now when I try to accept a meeting it hangs indefinitely until
evolution-exchange is killed.

I was able to install evolution-devel, evolution-data-server-devel,
gtkhtml2-devel and gtkhtml38, but there were no devel packages available for
evolution-exchange, which is where I suspect the problem is.

Perhaps a stupid question:  Are the devel packages the same as the debug
packages?  If not, where can I find them to install.  I prefer to use yum or
yumex if possible.


Comment 4 Jason Dell 2007-12-14 11:14:20 EST
Hey never mind the debug vs devel question.  I found them.
Comment 5 Jason Dell 2007-12-14 11:24:07 EST
Well, I thought I did.  I can only find the debug packages for Evolution 2.21,
not 2.12 that is out in live production for FC8.
Comment 6 Matthew Barnes 2007-12-14 15:33:12 EST
So you're running Fedora 8 now, right?  You may need to enable your
[updates-debuginfo] repo in your /etc/yum.repos.d/fedora-updates.repo file.

If that fails, you can also grab them directly from:
http://download.fedora.redhat.com/pub/fedora/linux/updates/8/i386/debug/

(substitute i386 with your architecture)
Comment 7 Matthew Barnes 2007-12-18 13:17:07 EST
The next time this happens can you run "top" from a terminal and check if the
first two entries are "gnome-keyring-daemon" followed by "evolution"?
Comment 8 Matthew Barnes 2007-12-18 14:51:25 EST
I researched this a little more.  Have you been having trouble unlocking your
default keyring?  If so, can you try the fix in bug #344611 and see if that
fixes the freeze for you?

If that works it will likely expose another known problem: Exchange Global
Address List authentication is broken at the moment.  You will probably keep
getting prompted for GAL passwords until you hit Deny.

Let me know how it goes.  The keyring fix resolved the freeze problem for me.
Comment 9 Brian Long 2008-01-10 13:07:47 EST
I am also experiencing this problem on Fedora 8 with all the latest updates.  I
installed a bunch of -debuginfo RPMs and have 3 backtraces which I will attach
to this BZ.  The first two backtraces were gathered when Evolution froze after I
hit Send on a message I was composing.  The third backtrace took place while I
was typing in a reply to an email.
Comment 10 Brian Long 2008-01-10 13:08:35 EST
Created attachment 291304 [details]
Backtrace for frozen Evolution after I hit Send
Comment 11 Brian Long 2008-01-10 13:09:04 EST
Created attachment 291305 [details]
Second backtrace for frozen Evolution after I hit Send
Comment 12 Brian Long 2008-01-10 13:09:32 EST
Created attachment 291306 [details]
Backtrace for frozen Evolution while I was in the middle of typing
Comment 13 Matthew Barnes 2008-01-15 13:05:16 EST
*** Bug 250406 has been marked as a duplicate of this bug. ***
Comment 14 Matthew Barnes 2008-07-08 11:12:36 EDT
I suspect the original problem reported here may have been the same as [1],
which was recently fixed.  The problem reported upstream was triggered by having
an Exchange account with no Global Catalog server specified.

I've backported the fix to evolution-data-server-2.22.3-2.fc9, which should be
landing in Fedora 9's "updates-testing" repo shortly.  Let me know if it helps.
 Setting status to NEEDINFO while awaiting feedback.
Comment 15 Matthew Barnes 2008-07-08 11:13:16 EDT
Forgot to cite the upstream bug.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=537415
Comment 16 Matěj Cepl 2008-09-07 15:41:47 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 17 Matěj Cepl 2008-10-20 16:59:02 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.